Subject: bug#79070: [PATCH] Fix macOS dictation post NSTextInputClient migration in v30

From: Gerd Möllmann <[email-masked]>
Date: Mon, 21 Jul 2025 18:26:03 +0200

Charles Choi <[email-masked]> writes:

> Gerd -
>
> If you are running macOS on a laptop, I've found that suspend can
> intermittently put the speech recognition daemon ~corespeechd~ in a
> bad state. This impacts Siri, so you can test if you are in this state
> accordingly. Killing ~corespeechd~ will fix this as ~launchd~ will
> automatically restart it. This occurs enough that I've written an
> Elisp function to do just that.
>
> #+BEGIN_SRC elisp :lexical no
> (defun cc/dictation-reset ()
>   "Reset macOS dictation service corespeechd."
>   (interactive)
>   (process-lines "killall" "corespeechd"))
> #+END_SRC
>
> Perhaps this is why dictation is not working for you?

Thanks for the tip, but it's not that, I'm afraid. It's only Emacs where
dictation isn't working, when I switch to, say, Textedit, it works.